diff heatmap.sh @ 32:16593e40c2cd draft

Version 2.0.5
author insilico-bob
date Thu, 20 Jul 2017 15:31:06 -0400
parents e2b3920e20c1
children 0097750ad7ad
line wrap: on
line diff
--- a/heatmap.sh	Fri Feb 03 13:20:50 2017 -0500
+++ b/heatmap.sh	Thu Jul 20 15:31:06 2017 -0400
@@ -1,8 +1,21 @@
 echo $1 $2 $3 $4 $5 $6 $7 $8 $9 ${10} ${11} ${12} ${13} ${14} ${15} ${16} ${17}
+
+#run python to validate the input matrix and covariate files (if any)
+#output="$(python  ${11}/mda_heatmap_gen.py $@)"
+output=$(python  ${11}/mda_heatmap_gen.py "$@")
+rc=$?;
+echo $output;
+if [ $rc != 0 ]
+then
+  exit $rc;
+fi
+
+
 #create temp directory for row and col order and dendro files.
 tdir=${11}/$(date +%y%m%d%M%S)
 echo $tdir
 mkdir $tdir
+
 #run R to cluster matrix
 output="$(R --slave --vanilla --file=${11}/CHM.R --args $3 $4 $5 $6 $7 $8 $9 $tdir/ROfile.txt $tdir/COfile.txt $tdir/RDfile.txt $tdir/CDfile.txt ${12} ${13} ${14} ${15} 2>&1)"
 rc=$?;